## Meridians Game Viewer

Meridians is an abstract strategy game for two players.

## Installation of pymerid

Download pymerid
[here](https://gitlab.com/RolfSander/pymerid/-/archive/master/pymerid-master.zip)
and unzip `pymerid-master.zip`. Then start `pymerid.py`. The code is
written in python, it can be used on all operating systems on which
python (>=3.6) is installed.

## Usage

A file of a game in sgf format is expected as a command-line parameter,
for example:

```
python3 pymerid.py meridians-rednasflor-johndoe.sgf
```

As an alternative, the Game Log from boardgamearena can be used as
input. As an example, the file `meridians_example.log` is provided:

```
python3 pymerid.py meridians_example.log
```

With this log file as input, pymerid will create `meridians_example.sgf`
as output.

If no parameter is supplied, pymerid will show an example game.

Moving forward or backward in the game can be done with the mouse via
the player buttons or with the cursor keys.

The following keys can be used:

Key   | Function
----- | --------
Right | go to the next move
Left  | go back to the previous move
Home  | go to the start of the game
End   | go to the end of the game
c     | toggle coordinates on/off
h     | toggle halo for endangered stones on/off
l     | toggle labels on/off
n     | toggle move numbers on/off
p     | toggle possible moves on/off
q     | quit
r     | show rules

## More Information

- Meridians was invented 2021 by [Kanare
  Kato](https://kanare-abstract.com/en).

- The game can be played online at [Board Game
  Arena](https://boardgamearena.com/gamepanel?game=meridians).

- It has web pages at
  [BoardGameGeek](https://boardgamegeek.com/boardgame/333775/meridians)
  and [BoardSpace](https://boardspace.net/english/about_meridians.html).

- The SGF format is described [here](https://www.red-bean.com/sgf/).
